<?php

namespace App\Http\Middleware;

use Closure;

use Session;

class Authentication
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if(!Session::has('key')) {
            if($request->ajax())
                return response('Unauthorized',401);
            else
                return redirect()->guest('login');
        }
        return $next($request);
    }
}
